
Ryzom - Feature # 222

Status: Closed Priority: Normal
Author: titegus Category: Tools: General
Created: 12/04/2008 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: porting Tools MFC Cleaning : ZViewer
Description

found the ZViewer Tool on my way: 
ZViewer allows you to view one or more zones exported from 3DSMax inside the NeL Engine

MFC was only used to display the Window Icon. I removed it, so it should now be cross-platform, plus I think there is already a NeL
mecanism to display Window Icon as the "init" method of the IDriver interface accepts an Icon as a parameter. So I guess the
"initDriver" method of the CNELU should also accepts one, which is not the case, but i didn't feel like trying to modify NeL right now.

I also completed the english translation of the readme file, fixed a bug at config file load (screen resolution wasn't taken into account),
and fixed the vertical text alignement.

History
#1 - 12/06/2008 07:53 pm - kervala
- Target version set to Version 0.7.0

You didn't need to remove the .rc file, but only replace "afxext.h" by <windows.h>

This project is not using MFC excepted for this include which is not required.

I applied most of your changes and added :

    -  fix for absolute path in .bank files
    -  WinMain under Windows instead of main()
    -  a title for NeL window
    -  all errors which were printed in console are now written in log.log
    -  font from snowballs (is working too under Linux) instead of one from Windows

#2 - 12/06/2008 08:00 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r586.

#3 - 05/11/2009 07:56 pm - sfb
- Status changed from Resolved to Closed

This has been applied to SVN and we are able to build it using VCExpress 2008.
#4 - 09/29/2010 09:27 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Tools)
- Target version deleted (Version 0.7.0)

#5 - 09/30/2010 11:43 am - kervala
- Category set to Tools: General
- Assignee set to kervala
- Target version set to Version 0.7.0

Files
zviewer.jpg 67.3 kB 12/04/2008 titegus
zviewer_MFCClean.zip 15.1 kB 12/04/2008 titegus
